### Virtual Method

# Phosh DBusLoginManager handle_inhibit

#### Declaration [src]

    gboolean
    handle_inhibit (
      PhoshDBusLoginManager* object,
      GDBusMethodInvocation* invocation,
      GUnixFDList* fd_list,
      const gchar* arg_what,
      const gchar* arg_who,
      const gchar* arg_why,
      const gchar* arg_mode
    )

#### Description [src]

Handler for the `PhoshDBusLoginManager::handle-inhibit` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the function.

`fd_list`

  Type: `GUnixFDList`

  No description available.

  The data is owned by the caller of the function.

`arg_what`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_who`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_why`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_mode`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.